"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var formik_1 = require("formik");
var FormLabel_1 = tslib_1.__importDefault(require("react-bootstrap/FormLabel"));
var Feedback_1 = tslib_1.__importDefault(require("react-bootstrap/Feedback"));
var FormControl_1 = tslib_1.__importDefault(require("react-bootstrap/FormControl"));
var FormGroup_1 = tslib_1.__importDefault(require("react-bootstrap/FormGroup"));
var core_1 = require("@reactionable/core");
function Form(_a) {
    var render = _a.render, props = tslib_1.__rest(_a, ["render"]);
    var renderFormFields = function (formikProps, isLoading) {
        return React.createElement(formik_1.Form, { className: "needs-validation" }, render(formikProps, isLoading));
    };
    return React.createElement(core_1.Form, tslib_1.__assign({}, props, { render: renderFormFields }));
}
exports.Form = Form;
function FormField(_a) {
    var label = _a.label, render = _a.render, props = tslib_1.__rest(_a, ["label", "render"]);
    var renderField = function (fieldProps, error) {
        return React.createElement(FormGroup_1.default, { controlId: fieldProps.field.name },
            label && React.createElement(FormLabel_1.default, null, label),
            render ? render(fieldProps, error) : React.createElement(FormControl_1.default, tslib_1.__assign({}, fieldProps.field)),
            error && React.createElement(Feedback_1.default, { type: "invalid" }, error));
    };
    return React.createElement(core_1.FormField, tslib_1.__assign({}, props, { render: renderField }));
}
exports.FormField = FormField;
;
//# sourceMappingURL=Form.js.map