/// <reference types="react" />
import { IUseLayoutProps as ICoreUseLayoutProps, ILayoutProps as ICoreLayoutProps } from '@reactionable/core';
import { IHeaderProps } from './header/Header';
import { IBodyProps } from './body/Body';
import { IFooterProps } from './footer/Footer';
export declare type ILayoutProps = ICoreLayoutProps<IHeaderProps, IBodyProps, IFooterProps>;
export declare type IUseLayoutProps = ICoreUseLayoutProps & {};
export declare const useLayout: (props: import("react").PropsWithChildren<ICoreLayoutProps<import("@reactionable/core").IHeaderProps, import("@reactionable/core").IBodyProps, import("@reactionable/core").IFooterProps>>) => import("react").ReactElement<any, string | ((props: any) => import("react").ReactElement<any, string | any | (new (props: any) => import("react").Component<any, any, any>)> | null) | (new (props: any) => import("react").Component<any, any, any>)>;
