"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var react_i18next_1 = require("react-i18next");
var Container_1 = tslib_1.__importDefault(require("react-bootstrap/Container"));
var Row_1 = tslib_1.__importDefault(require("react-bootstrap/Row"));
var Col_1 = tslib_1.__importDefault(require("react-bootstrap/Col"));
;
function Footer(_a) {
    var brand = _a.brand, _b = _a.sponsor, sponsor = _b === void 0 ? true : _b;
    var t = react_i18next_1.useTranslation().t;
    var currentYear = new Date().getFullYear();
    return React.createElement("footer", { className: "footer", style: {
            position: 'absolute',
            bottom: 0,
            width: '100%',
            height: '60px',
            lineHeight: '60px',
        } },
        React.createElement(Container_1.default, null,
            React.createElement(Row_1.default, { className: "justify-content-between" },
                React.createElement(Col_1.default, null,
                    t('Copyright'),
                    " \u00A9 ",
                    currentYear,
                    " ",
                    brand),
                sponsor && React.createElement(Col_1.default, { className: "text-right" },
                    React.createElement(exports.SponsorFooter, null)))));
}
exports.Footer = Footer;
;
exports.SponsorFooter = function (_a) {
    var t = react_i18next_1.useTranslation().t;
    return React.createElement(React.Fragment, null,
        React.createElement("span", { title: t('Powered by') }, "\u26A1 by "),
        React.createElement("a", { href: "https://github.com/reactionable/reactionable", title: t('Reactionable - An effective toolkit for React') }, "Reactionable"));
};
//# sourceMappingURL=Footer.js.map