import * as React from 'react';
import { ModalProps } from 'react-bootstrap/Modal';
import { IModalProps as ICoreModalProps } from '@reactionable/core';
export declare type IModalProps = ICoreModalProps & ModalProps & {
    body?: React.ReactElement;
    footer?: React.ReactElement;
};
export declare type ModalComponent = React.FC<IModalProps>;
export declare const Modal: ModalComponent;
export declare type IUseModalProps = React.PropsWithChildren<IModalProps>;
export declare function useModal<P extends IUseModalProps>(props: P): import("@reactionable/core").IUseModalResult;
