import * as React from 'react';
import { IUIContextProviderProps as ICoreUIContextProviderProps, IUseLoaderProps } from '@reactionable/core';
import { IUseSuccessNotificationProps } from './notification/SuccessNotification';
import { IUseErrorNotificationProps } from './notification/ErrorNotification';
import { IUseErrorAlertProps } from './alert/ErrorAlert';
import { IUseWarningAlertProps } from './alert/WarningAlert';
import { IUseConfirmationProps } from './confirmation/Confirmation';
import { IUseLayoutProps } from './layout/Layout';
export declare const patch: JSX.Element;
export declare type IUIContextProviderProps = ICoreUIContextProviderProps<IUseLoaderProps, IUseSuccessNotificationProps, IUseErrorNotificationProps, IUseErrorAlertProps, IUseWarningAlertProps, IUseConfirmationProps, IUseLayoutProps>;
export declare const useUIContextProviderProps: () => React.PropsWithChildren<import("@reactionable/core").IUIContext<{
    isLoading?: boolean | undefined;
}, React.PropsWithChildren<import("@reactionable/core").INotificationProps>, IUseErrorNotificationProps, IUseErrorAlertProps, IUseWarningAlertProps, React.PropsWithChildren<import("@reactionable/core").IConfirmationProps>, React.PropsWithChildren<import("@reactionable/core").ILayoutProps<import("@reactionable/core").IHeaderProps, import("@reactionable/core").IBodyProps, import("@reactionable/core").IFooterProps>>>>;
