import * as React from 'react';
import { AlertProps } from 'react-bootstrap/Alert';
import { IAlertProps as IAlertPropsCore } from '@reactionable/core';
export declare type IAlertProps = IAlertPropsCore & AlertProps & {};
export declare type AlertComponent = React.FC<IAlertProps>;
export declare const Alert: AlertComponent;
export declare const useAlert: (props?: AlertProps | undefined) => import("@reactionable/core").IUseAlertResult;
