"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var react_i18next_1 = require("react-i18next");
var core_1 = require("@reactionable/core");
var ModalForm_1 = require("../../modal/ModalForm");
function Create(_a) {
    var children = _a.children, submitButton = _a.submitButton, props = tslib_1.__rest(_a, ["children", "submitButton"]);
    var t = react_i18next_1.useTranslation().t;
    var _b = ModalForm_1.useModalForm(tslib_1.__assign({ submitButton: submitButton || t('Save') }, props)), modal = _b.modal, openModal = _b.openModal;
    return React.createElement(React.Fragment, null,
        React.createElement(core_1.EnhanceChildren, { children: children, enhance: { onClick: openModal } }),
        modal);
}
exports.Create = Create;
;
//# sourceMappingURL=Create.js.map