"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Modal_1 = tslib_1.__importDefault(require("react-bootstrap/Modal"));
var Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
var react_i18next_1 = require("react-i18next");
var Form_1 = require("../form/Form");
var Modal_2 = require("./Modal");
function ModalForm(_a) {
    var submitButton = _a.submitButton, form = _a.form, modalProps = tslib_1.__rest(_a, ["submitButton", "form"]);
    var t = react_i18next_1.useTranslation().t;
    var render = form.render;
    var formRender = function (formikProps, isLoading) {
        var onCancel = function () {
            if (modalProps.onHide) {
                modalProps.onHide();
            }
        };
        return React.createElement(React.Fragment, null,
            React.createElement(Modal_1.default.Body, null, render(formikProps, isLoading)),
            React.createElement(Modal_1.default.Footer, null,
                React.createElement(Button_1.default, { disabled: isLoading, type: "submit", variant: "primary" }, submitButton),
                React.createElement(Button_1.default, { disabled: isLoading, onClick: onCancel, variant: "secondary" }, t('Cancel'))));
    };
    return React.createElement(Modal_2.Modal, tslib_1.__assign({}, modalProps),
        React.createElement(Form_1.Form, tslib_1.__assign({}, form, { render: formRender, title: modalProps.title })));
}
exports.ModalForm = ModalForm;
;
function useModalForm(props) {
    var _this = this;
    var onSubmit = props.form.onSubmit;
    props.form.onSubmit = function (values, formikHelpers) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var result;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, onSubmit(values, formikHelpers)];
                case 1:
                    result = _a.sent();
                    if (props.onHide) {
                        props.onHide();
                    }
                    return [2 /*return*/, result];
            }
        });
    }); };
    return Modal_2.useModal(tslib_1.__assign({ Component: ModalForm }, props));
}
exports.useModalForm = useModalForm;
;
//# sourceMappingURL=ModalForm.js.map