"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var core_1 = require("@reactionable/core");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var Notification_1 = require("./Notification");
var SuccessNotification = function (props) {
    return React.createElement(Notification_1.Notification, tslib_1.__assign({}, props, { variant: 'sucess' }),
        React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faCheckCircle }),
        " ",
        props.children);
};
exports.useSuccessNotification = function (props) {
    return core_1.useSuccessNotification(tslib_1.__assign(tslib_1.__assign({}, props), { Component: SuccessNotification }));
};
//# sourceMappingURL=SuccessNotification.js.map